phpMyAdmin - ChangeLog
======================

4.3.0.0 (not yet released)
+ rfe #1502 Smart sorting for int keys
+ rfe #1521 Confirmation message when dropping user(s)
+ rfe #1518 Confirm dialog on accidentally leaving a page
+ rfe #1445 Easy access to "SHOW CREATE ..."
+ rfe #1448 Allow clicking an approximate row count to get a correct one
+ rfe #1487 "Browse foreign values" should be a modal dialog
+ rfe #1523 Better visual clue for table structure primary key column
+ rfe #982  Support for editing binary fields in hexadecimal
- bug #4416 New lines are removed when grid editing
+ rfe #706  Multi-db privileges adding
+ rfe #1527 Charts for data in <x-axis, series, value> format
+ rfe       Allow saving query charts as images
+ rfe #1145 Preview SQL instead of executing it
+ rfe #759  Use aliases in SQL export for tables and columns
- bug #4450 Query is duplicated on Ctrl+Enter
+ rfe #755  Export with table/column name changes
+ rfe #869  Run SQL query: Allow rollback for InnoDB tables
+ rfe #654  Range Search Capability
+ rfe #1490 Dynamic process list
+ rfe #1522 Drag and Drop SQL import
+ rfe #637  Custom Field Handlers
+ rfe #1488 User privilege tab not shown in all relevant cases
+ rfe #781  Privileges for non superuser
+ rfe #908  Improvements for the table editor (index creation)
+ rfe #1426 Navigation state lost on reload
- bug #4439 Table list in left panel doesn't expand
+ rfe       Improved validation when inserting data
+ rfe #1491 Support InnoDB for database Query by example
+ rfe #345  Normalize a table
+ rfe #1123 Zeroconf PMA tables support
+ rfe #1492 Remove the distinct query window / Add SQL log+history panel
+ rfe #919  Multiple-column foreign key relation
- bug #3165 Redundant foreign keys not supported
- bug       Incorrect link to documentation
+ rfe #857  Regexp replace
- bug       Incorrect path in change password when on reverse proxy or
            non-root directory
+           MariaDB 10+ multi-master replication support
+ rfe #1544 MySQL 5.7.5 compatibility
+ rfe #1529 Avoid session timeout when user is active
- bug #4528 Can't import dump via SQL field
+ rfe #1251 Show "Overhead" with same precision for all tables
+ rfe #1546 Improve the js printf library
+ rfe #1542 Better error reporting in Designer
- bug #4547 Micro history does not work in Users page
- bug #4551 Wrong test in source code
- bug #4537 BLOB inline-view JPG column transformation does not work for anything except simple queries
+ rfe #1535 Keyword-based autocompletion in SQL query editors
- bug #4558 Unable to Add Rows while Creating Table
+ rfe #1547 Wrap No Tables Found message with message box
- bug #4559 Logging in causes 100% CPU usage
- bug #4564 Designer: spaces in table name with edit table link generates bad links
- bug #4582 Debug SQL works only for the first page
- bug #3869 Count(*) on information_scheme.INNODB_BUFFER_PAGE with a huge bufferpool
- bug #4495 Comment lines in multiquery
- bug #4535 Loads of Warnings/Notices in PMA_getServerSlaveStatus on replication slave
- bug #4585 Multi query results not shown
- rfe #1556 Disabling Show all

4.2.12.0 (not yet released)
- bug #4574 Blank/white page when JavaScript disabled
- bug #4577 Multi row actions cause full page reloads
- bug       ReferenceError: targeturl is not defined
- bug       Incorrect text/icon display in Tracking report
- bug #4404 Recordset return from procedure display nothing
- bug #4584 Edit dialog for routines is too long for smaller displays

4.2.11.0 (2014-10-31)
- bug       ReferenceError: Table_onover is not defined
- bug #4552 Incorrect routines display for database due to case insensitive checks
- bug #4259 reCaptcha sound session expired problem
- bug #4557 PHP fatal error, undefined function __()
- bug #4568 Date displayed incorrectly when charting a timeline
- bug #4571 Database Privileges link does not work
- bug       makegrid.js: where_clause is undefined
- bug #4572 missing trailing slash (import and open_basedir)

4.2.10.1 (2014-10-21)
- bug #4562 [security] XSS in debug SQL output
- bug #4563 [security] XSS in monitor query analyzer

4.2.10.0 (2014-10-11)
- bug #4361 Can't change font size (when config.inc.php not present)
- bug #4542 Tab key in column name not shown
- bug       PDF export: title not present in PDF
- bug #4543 Changing column name can break saved "order by" clause
- bug #4545 trying to favorite table while browser localStorage is disabled throws JS error
- bug #4548 Inline editing a field converts tab to spaces
- bug #4252 Database-level permission bug for db names containing underscores
- bug #3120 Events are not exported when using xml
- bug #4554 Grid-editing timestamp column forces datepicker
- bug #4556 Fast filters for tables, views etc. should be governed by NavigationTreeDisplayItemFilterMinimum

4.2.9.1 (2014-10-01)
- bug #4544 [security] XSS vulnerabilities in table search and table structure pages

4.2.9.0 (2014-09-20)
- bug       ajax.js responseHandler: cannot read property of null
- bug       sql.js: str is undefined
- bug #4524 Allow for direct selection of "0" on the "user overview" page
- bug #4529 Undefined index: pos
- bug #4523 tbl_change.js: insert as new row submit type on multiple selected records does not set all AUTO_INCREMENTs to 0 value
- bug       ajax.js responseHandler: another "cannot read property"
- bug       tbl_structure.js "cannot read property"

4.2.8.1 (2014-09-13)
- bug #4530 [security] DOM based XSS that results to a CSRF that creates a
            ROOT account in certain conditions

4.2.8.0 (2014-08-31)
- bug #4516 Odd export behavior
- bug #4519 Uncaught TypeError: Cannot read property 'success' of null
- bug #4520 sql.js: cannot read property
- bug #4521 Initially allowed chart types do not match selected data
- bug #4518 Export to SQL: CREATE TABLE option AUTO_INCREMENT ignored
- bug #4522 Duplicate column names while assigning index
- bug #4487 Export of partitioned table does not import
- bug       server_privileges.js: cannot read property
- bug #4527 Importing ODS files with column names having trailing spaces fails
- bug #4413 Navigation Error in Nav Tree for Search Results Past the First Page
- bug       functions.js: Cannot read property 'replace' of undefined

4.2.7.1 (2014-08-17)
- bug #4501 [security] XSS in table browse page
- bug #4502 [security] Self-XSS in enum value editor
- bug #4503 [security] Self-XSSes in monitor
- bug #4504 [security] Self-XSS in query charts
- bug #4505 [security] XSS in view operations page
- bug #4517 [security] XSS in relation view

4.2.7.0 (2014-07-31)
- bug       Broken links on home page
- bug #4494 Overlap in navigation panel
- bug #4427 Action icons not in horizontal order
- bug #4493 s_attention.png is missing
- bug #4499 Uncaught TypeError: Cannot call method 'substr' of undefined
- bug #4498 PMA 4.2.x and HHVM
- bug #4500 mysql_doc_template is not defined

4.2.6.0 (2014-07-17)
- bug #4471 Undefined index warning with referenced column.
- bug #4027 $cfg['MaxExactCount'] is ignored when BROWSING is back
- bug #4482 Multi Column sorting (improved user experience)
- bug #4478 Server validation does not work while in setup/mysqli
- bug       Undefined variable when grid editing a foreign key column
- bug #4481 mult_submits.inc.php Undefined variable Error
- bug #4485 Sorting breaks the copy column feature
- bug #4440 Javascript error when renaming table
- bug #4483 'New window' link (selflink) disappears, causing Javascript error
- bug #4489 Incorrect detection of privileges for routine creation
- bug #4459 First few characters of database name aren't clickable when expanded
- bug #4486 [security] XSS injection due to unescaped table comment
- bug #4488 [security] XSS injection due to unescaped table name (triggers)
- bug #4492 [security] XSS in AJAX confirmation messages
- bug #4491 [security] Missing validation for accessing User groups feature

4.2.5.0 (2014-06-26)
- bug #4467 shell_exec() has been disabled for security reasons
- bug #4470 Error while submitting empty query
- bug #4463 Fatal error: Class 'PMA_DatabaseInterface' not found
- bug #4469 Fixed cookie based login for installations without mcrypt
- bug #4473 incorrect result count when having clause is used
-           mcrypt: remove the requirement (64-bit) and the related warning

4.2.4.0 (2014-06-20)
- bug #4449 Mediawiki export does not produce table header row; also fix related PHP warnings
- bug #4442 New lines are added to query every time
- bug #4445 Fatal error on SQL Export of join query
- bug #4448 Dump binary columns in hexadecimal notation not working
- Regenerate cookie encryption IV for every session
- bug #4405 Cannot import (open_basedir): fix another case
- bug #4457 SQL tab - Insert queries not showing affected row count
- bug       Missing warning about existing account, on multi-server config
- bug #4435 WHERE clause can be undefined
- bug       SQL export views as tables option getting ignored
- bug #4464 [security] XSS injection due to unescaped db/table name in navigation hiding
- bug #4465 [security] XSS injection due to unescaped db/table name in recent/favorite tables

4.2.3.0 (2014-06-08)
- bug #4423 Moving fields not working
- bug #4424 Table indexes disappear after altering field
- bug #4432 Error while displaying chart at server level
- bug #4405 Cannot import (open_basedir)
- bug #4396 Problem copying constraints (such as Sakila)
- bug #4433 Missing privileges submenu
- bug #4394 Drop db confirmation message when dropping a user
- bug #4436 Insert form numeric field with function drop-down list
- bug #4437 Problems due to missing enforcement of the minimum supported MySQL version
+ Add enforcement of the minimum supported PHP version (5.3.0)
- bug       Query error on submitting a column change form containing a disabled input field
- bug       Incorrect menu tab generation from usergroups
- bug       Missing space in index creation/edit generated query
- bug #4434 Unchecking 'Show SQL queries' results NaN

4.2.2.0 (2014-05-20)
- bug #4388 Disable database expansion when enabled throws Error 500 when database name is clicked in navigation tree
- bug #4414 table display of performance_schema DB structure
- bug #4411 Protect Binary Columns: many problems
- bug #4395 BLOB link transformation is broken
- bug       Respect ['ShowCreateDb'] in the navi panel
- bug #4392 Cannot see databases in nav panel on databases grouping when disabled database expansion
- bug #4419 No more calendar into search tab
- bug #4398 Monitor should fit into screen width
- bug #4418 When copying databases, primary key attributes get lost
- bug #4421 empty maxInputVars on js/messages.php

4.2.1.0 (2014-05-13)
- bug #4380 Cannot display table structure with enums containing special characters
- bug #4381 Cannot remove the last remembered sorted column
- bug       Correctly fetch length of user and host fields in MySQL tables
- bug #4364 examples/signon.php does not support the SessionSavePath directive
- bug #4382 Missing source for OpenLayers library
- bug       Incorrect attributes for number fields
- bug #4383 Cannot update values in Zoom search
- bug #4313 GIS Visualization Extension does not work with PointFromText() function
- bug #4384 Incorrect "Rows" total shown when truncating or dropping a table on DB Structure page
- bug #4385 Grid edit on sorted columns fails
- bug #4389 Null checkbox covering data input when editing
- bug #4390 Data type changing by itself (no size but attribute present)

4.2.0.0 (2014-05-08)
+ rfe #1403 Export only triggers
+ rfe #1483 Export Server/Database/Table without triggers
+ rfe #1662 Add table comment tool tip in database structure page
+ rfe #1447 Single table for display Character Sets and Collations
+ rfe #1455 Display icons/text/both for the table row actions
+ rfe #1473 Transformation to convert Boolean value to text
- bug #4157 Changing users password will delete it
+ rfe #1474 Text transformation combines Append and Prepend
+ Added warning about the mysql extension being deprecated
  and removed the extension directive
+ Added support for scatter charts
+ rfe #1478 Make Column Headings Sticky
+ rfe #1480 Enhance privileges initials table
+ rfe #1472 [interface] Break "Edit privileges" with sub-menus
+ rfe #1466 Minor refactoring required
+ rfe #1004 Create indexes at the end in SQL export
+ rfe #1479 Relations edit form for larger monitors
+ rfe #1475 Inline query box vertical resize
+ rfe #1500 [interface] Add bottom border to top menu container
+ rfe #1498 Add datepicker for 'TIME' type
- bug #4237 HTTP Referer disclosure in SQL links
+ rfe       Show full names on navigation hover
+ rfe #1505 Behaviour on click on a routine in nav panel
+ rfe #1418 Support more than one separating character on CSV import
+ rfe #569  Load/Save Query By Example
- bug #4281 Grid edit ENUM field, dialog disappears when trying to select
- bug #4304 DB export using zip compression generates an empty archive
+ rfe #1508 confirmation message at the top
- bug #4306 breadcrubs wrong on table create
+ rfe #1511 better validate database name for copying
+ rfe #1510 Database tab "Drop" button should be a link
+ rfe #1513 Highlight required form fields after failed submission
+ rfe #1460 Redirect to login page after session has expired
- bug #4316 Grid edit: can't change month on date fields
+ rfe #1501 add maxlength by field with length-spec
+ rfe #1512 Import happily doesn't do anything with no file name provided
+ rfe #1514 Add function to all the insert boxes automatically
+ rfe #1515 Option to skip tables larger than n
+ rfe #1486 Possibility of disabling database expansion
+ rfe #1476 Favourite tables select box
+ rfe #420  $cfg['CharEditing']='textarea' for structure edit
+ rfe #1329 Avoid editing of fields which are part of relation
+ rfe       [interface] Highlight active left menu item in setup
+ rfe       Filter on-screen rows during Browse
  Removed support for SQL Validator (SOAP service no longer offered)
- bug #4352 Settings > Manage: incorrect messages
- bug #4337 "More" in Actions area doesn't collapse to fit available space
- bug #4375 Group two DB, one's name is the prefix of the other one
- bug #4070 Confusing database/table grouping
- bug #4366 Creating Index doesn't update index-list
+ rfe #1507 Sort by multiple columns

4.1.14.1 (2014-06-21)
- bug #4464 [security] XSS injection due to unescaped db/table name in navigation hiding

4.1.14.0 (2014-04-26)
- bug #4365 Creating bookmark with multiple queries not working
- bug #4375 Group two DB, one's name is the prefix of the other one
- bug #4376 [interface] Login fields show in separate line
- bug #4372 Changing browser transformation results in unnecessary table rebuild

4.1.13.0 (2014-04-13)
- bug #4279 CTRL + up or down moves 2 fields
- bug #4336 List server css style wrong
- bug       Missing value on the Status > Server page
- bug #4347 Fixed PHP Parse error in Advisor
- bug #4350 Deleting the DB if it is renamed by the same name
- bug #4353 makeProfilingChart is not defined
- bug #4355 Precision specifier for DOUBLE type is truncated
- bug #4346 Incorrect "Export incomplete" message
- bug #4359 Notices on create table page
- bug #4356 GROUPed selects show number of rows as if not grouped
- bug #4357 JS Form submitted on "enter" even if focus is inside a select field

4.1.12.0 (2014-03-27)
- bug #4334 Add event : datepicker won't open
- bug #4338 Fix missing value error while executing SQL query
- TCPDF library is now optional dependency
- bug #4326 Cannot find the import plugins which start with uppercase 'I'

4.1.11.0 (2014-03-23)
- bug #4335 reCaptcha problem (4.1.10 regression)

4.1.10.0 (2014-03-22)
- bug #4301 Grid edit: "SELECT" query is replaced by "UPDATE" query after edit
- bug #4278 reCaptcha re-login requires double effort
- bug #4324 Datepicker not showing up on insert page
- bug #3991 Problem selecting item in select boxes with the ENTER keystroke in some browsers
- bug #4323 QueryWindow ignores CodeMirror
- bug       None of the live charts shown on "Status -> Monitor" (Chrome)

4.1.9.0 (2014-03-06)
- bug #4279 CTRL + up or down moves two fields (part one)
- bug #4294 output as text radio clickable for "OpenDocument Text" export
- bug #4297 DROP DATABASE tick box in export no longer works
- bug #4291 Unable to export comments in OpenDocument text format
- bug #4299 Deletion even when the user says "No" to the confirmation message
- bug #4303 "New" link in navi panel is shown even if no privileges
- bug #4302 Some params are being omitted from microhistory
- bug #4298 Missing validation on Import CSV: "Columns enclosed with" and "Columns escaped with"
- bug #4040 Fatal error while resetting settings
- bug #4305 JS error when editing procedure from nav panel
- bug #4308 Edit routine form submitting when pressing enter
- bug #4307 Nav: "Columns" won't expand with specific schema

4.1.8.0 (2014-02-22)
- bug #4276 Login loop on session expiry
- bug #4249 Incorrect number of result rows for SQL with subqueries
- bug #4275 Broken Link to php extension manual
- bug #4053 List of procedures is not displayed after executing with Enter
- bug #4081 Setup page content shifted to the right edge of its tabs
- bug #4284 Reordering a column erases comments for other columns
- bug #4286 Open "Browse" in a new tab
- bug #4287 Printview - Always one column too much
- bug #4288 Expand database (+ icon) after timeout doesn't do anything
- bug #4285 Fixed CSS for setup
- Fixed altering table to DOUBLE/FLOAT field
- bug #4292 Success message and failure message being shown together
- bug #4293 opening new tab (using selflink) for import.php based actions
            results in error and logout

4.1.7.0 (2014-02-09)
- bug #4245 initial Browse query does not match sorting order
- bug #4250 Notice on export page
- bug #4253 "New" text in navigation frame acts like a database
- bug #4262 Cannot define a column with fractional seconds
- bug #4265 Missing datepicker icon for DATETIME(length)
- bug #4257 Hide fractional seconds when applicable
- bug #4264 Uncheck "Ignore" while inserting, upon leaving a textarea
- bug #4260 reCaptcha is ignoring language settings
- bug #4263 Japanese character encoding not working properly when exporting
- bug #4269 Notice on table relation page
- bug #4270 Bad text-color for table comments
- bug #4272 Incorrect tabindex
- bug #4271 Query by example and the second criteria line
- bug #4242 Wildcard-containing only_db failure in sidebar

4.1.6.0 (2014-01-26)
- bug #4232 User not found after creating the user
- bug #4241 Confusing dialog when trying to create an already existing user
- bug #4239 Missing LIMIT clause for some queries
- rfe #1489 Do not show create icon when user has no privileges
- bug #4218 Chrome behavior with date fields
- bug #3579 NOW() function incorrectly selected (regression)
- bug #4244 Advisor complaints about MariaDB 10.x is version less than 5.1
- bug #3889 When login fails and error display is active, login data is
displayed (regression)
- bug #4247 open_basedir warnings on export page
- bug #4013 AJAX request waiting until version info is retrieved
- bug #4248 js error when changing number of columns in status monitor

4.1.5.0 (2014-01-17)
- bug #3780 Allow aborting loading pages
- bug #4223 Database list: Create database misses collation column
- bug #4224 Empty table names when a table is "inuse"
- bug #4225 Partition maintenance broken
- bug #4219 Table list (left panel) does not reload when table renamed
- bug #4230 "in use" displayed for all views in database print view
- bug #4226 Notice: Undefined index: pma_config_loading
- bug #4221 Bzip2 export cannot be directly imported (so withdraw bz2 export)
- bug #4204 Reloading user privileges hides user groups submenu
- bug #4231 DATE columns quick edit decrement by one day

4.1.4.0 (2014-01-07)
- bug #3840 (additional fix) When exporting to gzip format, the data is compressed 2 times
- bug #4209 Missing compression in one case
- bug #4208 Can't browse tables after sorting on columns with fieldnames that have a '-'
- bug #4184 Switch to wrong page after adding an index
- bug #3885 Additional fix for this bug
- bug #4212 Table "disappears" if it has the same name as its tablegroup
- bug #4213 Datetime Quick Edit decrements by one day
- bug #4217 Current value not highlighted when browsing foreign values
- bug #4220 Incorrect key values in foreign key browser
- bug #4215 MariaDB 5.5: error in Drizzle detection

         --- Older ChangeLogs can be found on our project website ---
                     http://www.phpmyadmin.net/old-stuff/ChangeLogs/

# vim: et ts=4 sw=4 sts=4
# vim: ft=changelog fenc=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'\\S'?'>1'\:1&&v\:lnum>4&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
